diff --git a/.gitlab/ci.sh b/.gitlab/ci.sh
index 776eff3a4a5dd5fd393baa264595cac6bd86c5e5..c30f5ec846bb838dd936c2e7cb56166232e3e485 100755
--- a/.gitlab/ci.sh
+++ b/.gitlab/ci.sh
@@ -25,7 +25,10 @@ function time_it() {
   shift
   local start=$(date +%s)
   local res=0
-  $@ || res=$?
+  set +e
+  ( set -e ; $@ )
+  res=$?
+  set -e
   local end=$(date +%s)
   local delta=$(expr $end - $start)